import 'reflect-metadata';
export * from './client';
export * from './secret_manager';
export * from './types';
export * from './utils';
export * from './wallet';
export * from './logger';
export type Result = OkResult | PanicResult | ErrorResult;
export type OkResult = {
    type: string;
    payload: {
        type: string;
        payload: string;
    };
};
export type ErrorResult = {
    type: 'error';
    payload: {
        type: string;
        error: {
            type: string;
            error: string;
        } | string;
    };
};
export type PanicResult = {
    type: 'panic';
    payload: string;
};
declare function errorHandle(error: any): Error;
export { errorHandle };
import { init } from '../wasm/iota_sdk_wasm';
export default init;
