// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * All of the block issuer key types.
 */
var BlockIssuerKeyType;
(function (BlockIssuerKeyType) {
    /** An Ed25519 public key hash block issuer key. */
    BlockIssuerKeyType[BlockIssuerKeyType["Ed25519PublicKeyHash"] = 0] = "Ed25519PublicKeyHash";
})(BlockIssuerKeyType || (BlockIssuerKeyType = {}));
/** The base class for a block issuer key. */
var BlockIssuerKey = /** @class */ (function () {
    /**
     * @param type The type of block issuer key.
     */
    function BlockIssuerKey(type) {
        this.type = type;
    }
    return BlockIssuerKey;
}());
/**
 * Ed25519 public key hash Block Issuer Key.
 */
var Ed25519PublicKeyHashBlockIssuerKey = /** @class */ (function (_super) {
    __extends(Ed25519PublicKeyHashBlockIssuerKey, _super);
    function Ed25519PublicKeyHashBlockIssuerKey(pubKeyHash) {
        var _this = _super.call(this, BlockIssuerKeyType.Ed25519PublicKeyHash) || this;
        _this.pubKeyHash = pubKeyHash;
        return _this;
    }
    return Ed25519PublicKeyHashBlockIssuerKey;
}(BlockIssuerKey));
var BlockIssuerKeyDiscriminator = {
    property: 'type',
    subTypes: [
        {
            value: Ed25519PublicKeyHashBlockIssuerKey,
            name: BlockIssuerKeyType.Ed25519PublicKeyHash
        },
    ]
};
export { BlockIssuerKeyDiscriminator, BlockIssuerKey, BlockIssuerKeyType, Ed25519PublicKeyHashBlockIssuerKey, };
//# sourceMappingURL=block-issuer-key.js.map