import { Wallet, DelegationId } from '../..';
import { PreparedTransaction } from './prepared-transaction';
import { TransactionWithMetadata } from './transaction';
import { PreparedTransactionData } from '../client/prepared-transaction-data';
export declare class PreparedCreateDelegationTransaction extends PreparedTransaction {
    readonly _delegationId: DelegationId;
    /**
     * @param preparedData Prepared data to create a delegation.
     * @param wallet A wallet.
     */
    constructor(preparedData: PreparedCreateDelegationTransactionData, wallet: Wallet);
    /**
     * The function returns the delegationId.
     *
     * @returns: The delegation id of the prepared transaction.
     */
    delegationId(): DelegationId;
}
/** The result of preparing an operation to create a delegation. */
export declare class PreparedCreateDelegationTransactionData {
    /** The id of the delegation */
    delegationId: DelegationId;
    /** The prepared transaction which will create the delegation */
    transaction: PreparedTransactionData;
}
/** The result of an operation to create a delegation. */
export declare class CreateDelegationTransaction {
    /** The id of the delegation */
    delegationId: DelegationId;
    /** The transaction which created the delegation */
    transaction: TransactionWithMetadata;
}
