// Copyright 2024 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { PreparedTransaction } from './prepared-transaction';
import { Type } from 'class-transformer';
import { TransactionWithMetadata } from './transaction';
import { PreparedTransactionData } from '../client/prepared-transaction-data';
/*
 * Represents prepared data for issuing a transaction to create a delegation.
 */
var PreparedCreateDelegationTransaction = /** @class */ (function (_super) {
    __extends(PreparedCreateDelegationTransaction, _super);
    /**
     * @param preparedData Prepared data to create a delegation.
     * @param wallet A wallet.
     */
    function PreparedCreateDelegationTransaction(preparedData, wallet) {
        var _this = _super.call(this, preparedData.transaction, wallet) || this;
        _this._delegationId = preparedData.delegationId;
        return _this;
    }
    /**
     * The function returns the delegationId.
     *
     * @returns: The delegation id of the prepared transaction.
     */
    PreparedCreateDelegationTransaction.prototype.delegationId = function () {
        return this._delegationId;
    };
    return PreparedCreateDelegationTransaction;
}(PreparedTransaction));
export { PreparedCreateDelegationTransaction };
/** The result of preparing an operation to create a delegation. */
var PreparedCreateDelegationTransactionData = /** @class */ (function () {
    function PreparedCreateDelegationTransactionData() {
    }
    __decorate([
        Type(function () { return PreparedTransactionData; })
    ], PreparedCreateDelegationTransactionData.prototype, "transaction");
    return PreparedCreateDelegationTransactionData;
}());
export { PreparedCreateDelegationTransactionData };
/** The result of an operation to create a delegation. */
var CreateDelegationTransaction = /** @class */ (function () {
    function CreateDelegationTransaction() {
    }
    __decorate([
        Type(function () { return TransactionWithMetadata; })
    ], CreateDelegationTransaction.prototype, "transaction");
    return CreateDelegationTransaction;
}());
export { CreateDelegationTransaction };
//# sourceMappingURL=create-delegation-transaction.js.map