import { Wallet } from '../..';
import { PreparedTransaction } from './prepared-transaction';
import { TransactionWithMetadata } from './transaction';
import { PreparedTransactionData } from '../client/prepared-transaction-data';
export declare class PreparedCreateNativeTokenTransaction extends PreparedTransaction {
    readonly _tokenId: string;
    /**
     * @param preparedData Prepared data to create a Native Token.
     * @param wallet A wallet.
     */
    constructor(preparedData: PreparedCreateNativeTokenTransactionData, wallet: Wallet);
    /**
     * The function returns the tokenId as a string.
     *
     * Returns:
     *
     * The token id of the CreateNativeTokenTransaction.
     */
    tokenId(): string;
}
/** The result of preparing an operation to create a native token. */
export declare class PreparedCreateNativeTokenTransactionData {
    /** The token id of the minted token */
    tokenId: string;
    /** The prepared transaction which will mint the token */
    transaction: PreparedTransactionData;
}
/** The result of an operation to create a native token. */
export declare class CreateNativeTokenTransaction {
    /** The token id of the minted token */
    tokenId: string;
    /** The transaction which minted the token */
    transaction: TransactionWithMetadata;
}
